> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a sprite

> Delete a sprite and all associated resources



## OpenAPI

````yaml /sprites/api/openapi.json delete /v1/sprites/{name}
openapi: 3.1.0
info:
  title: Sprites API
  version: 0.1.12
  x-sprite-env-version: 0.0.2
servers:
  - url: https://api.sprites.dev
security: []
paths:
  /v1/sprites/{name}:
    delete:
      tags:
        - Sprites
      summary: Delete a sprite
      description: Delete a sprite and all associated resources
      operationId: sprites_delete_delete
      parameters:
        - in: path
          name: name
          required: true
          schema:
            type: string
      responses:
        '204':
          description: No content
        '401':
          description: Missing or invalid authentication
        '404':
          description: Sprite not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````